%global __requires_exclude devel\\(libperl

%define major     40
%define libname   %mklibname net-snmp %{major}
%define develname %mklibname net-snmp -d

# (oe) never enable rpm support as it eats file descriptors like crazy
# causing the snmp daemon to die!.
%bcond_with rpm

Summary:    A collection of SNMP protocol tools and libraries
Name:       net-snmp
Version:    5.9.4
Release:    %mkrel 5
License:    BSDish
Group:      System/Servers
URL:        http://www.net-snmp.org/
Source0:    https://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz
Source1:    https://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz.asc
Source2:    snmpd.conf
Source3:    snmpd.logrotate
Source4:    snmpd.sysconfig
Source5:    snmpd.service
Source6:    snmptrapd.conf
Source7:    snmptrapd.logrotate
Source8:    snmptrapd.sysconfig
Source9:    snmptrapd.service
Source10:   net-snmp.tmpfiles
Source11:   ucd5820stat
Source12:   NOTIFICATION-TEST-MIB.txt
Source13:   TRAP-TEST-MIB.txt
Source14:   IETF-MIB-LICENSE.txt

# fedora patches
Patch1:     net-snmp-5.9-pie.patch
Patch2:     net-snmp-5.9-dir-fix.patch
Patch3:     net-snmp-5.9-multilib.patch
Patch4:     net-snmp-5.9-test-debug.patch
Patch5:     net-snmp-5.7.2-cert-path.patch
Patch6:     net-snmp-5.9-cflags.patch
Patch7:     net-snmp-5.8-Remove-U64-typedef.patch
Patch8:     net-snmp-5.7.3-iterator-fix.patch
Patch9:     net-snmp-5.9-autofs-skip.patch
Patch10:    net-snmp-5.9-coverity.patch
Patch11:    net-snmp-5.8-expand-SNMPCONFPATH.patch
Patch12:    net-snmp-5.8-duplicate-ipAddress.patch
Patch13:    net-snmp-5.9-memory-reporting.patch
Patch14:    net-snmp-5.8-man-page.patch
Patch15:    net-snmp-5.8-ipAddress-faster-load.patch
Patch16:    net-snmp-5.8-rpm-memory-leak.patch
Patch17:    net-snmp-5.9-aes-config.patch
Patch18:    net-snmp-5.8-clientaddr-error-message.patch
Patch19:    net-snmp-5.9-intermediate-certs.patch
Patch20:    net-snmp-5.9.1-remove-des.patch
Patch21:    net-snmp-libs-misunderstanding.patch
Patch22:    net-snmp-5.9-ipv6-disable-leak.patch
Patch23:    net-snmp-5.9-rpmdb.patch

# Modern RPM API means at least EL6
Patch101:   net-snmp-5.8-modern-rpm-api.patch

#disable this patch due compatibility issues
Patch102:   net-snmp-5.9-python3.patch

## Upstream patches
Patch200:   0001-Add-Linux-6.7-compatibility-parsing.patch

BuildRequires:  chrpath
BuildRequires:  lm_sensors-devel
BuildRequires:  multiarch-utils >= 1.0.3
BuildRequires:  openssl-devel
BuildRequires:  perl-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
%if %{with rpm}
BuildRequires:  rpm-devel
%endif
BuildRequires:  mysql-devel

Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management. The NET-SNMP project includes various SNMP tools: an extensible
agent, an SNMP library, tools for requesting or setting information from SNMP
agents, tools for generating and handling SNMP traps, a version of the netstat
command which uses SNMP, and a Tk/Perl mib browser. This package contains the
snmpd and snmptrapd daemons, documentation, etc.

You will probably also want to install the net-snmp-utils package, which
contains NET-SNMP utilities.

%package -n %{libname}
Summary:    Libraries for Network management (SNMP), from the NET-SNMP project
Group:      System/Libraries
Requires:   openssl

%description -n %{libname}
The %{libname} package contains the libraries for use with the NET-SNMP
project's network management tools.

%package -n %{develname}
Summary:    The development environment for the NET-SNMP project
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   libnet-snmp-devel
Requires:   %{libname} = %{version}-%{release}
Requires:   lm_sensors-devel
Requires:   perl-devel

%description -n %{develname}
The %{develname} package contains the development libraries and header
files for use with the NET-SNMP project's network management tools.

Install the net-snmp-devel package if you would like to develop applications
for use with the NET-SNMP project's network management tools.

%package    utils
Summary:    Network management utilities using SNMP, from the NET-SNMP project
Group:      Networking/Other
Requires:   %{libname} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs

%description utils
The net-snmp package contains various utilities for use with the NET-SNMP
network management project.

Install this package if you need utilities for managing your network using the
SNMP protocol.

%package    tkmib
Summary:    MIB browser in TK
Group:      Networking/Other
Requires:   net-snmp-mibs
Requires:   perl(SNMP)

%description tkmib
MIB browser in TK.

%package    mibs
Summary:    MIBs for the NET-SNMP project
Group:      Networking/Other

%description mibs
The net-snmp-mibs package contains various MIBs for use with the NET-SNMP
network management project.

%package    trapd
Summary:    The trap collecting daemon for %{name}
Group:      System/Servers
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:   %{name} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils

%description trapd
The net-snmp-trapd package contains the trap collecting daemon for use with the
NET-SNMP network management project.

Install this package if you need to collect SNMP traps from your network using
the SNMP protocol.

%package -n perl-NetSNMP
Summary:    Perl utilities using SNMP, from the NET-SNMP project
Group:      Development/Perl
Requires:   net-snmp-mibs

%description -n perl-NetSNMP
NET SNMP (Simple Network Management Protocol) Perl5 Support The Simple Network
Management Protocol (SNMP) provides a framework for the exchange of management
information between agents (servers) and clients.  The NET SNMP perl5 support
files provide the perl functions for integration of SNMP into applications,
written in perl.

%package -n    python3-netsnmp
Summary:       Python utilities using SNMP, from the NET-SNMP project
Group:         Development/Python
Requires:      net-snmp-mibs
%{?python_provide:%python_provide python3-netsnmp}

%description -n python3-netsnmp
The 'netsnmp' module provides a full featured, tri-lingual SNMP (SNMPv3,
SNMPv2c, SNMPv1) client API. The 'netsnmp' module internals rely on the
Net-SNMP toolkit library.

%prep
%setup -q
cp %{SOURCE14} .

# fedora patches
%autopatch -p1

# disable failing test - see https://bugzilla.redhat.com/show_bug.cgi?id=680697
rm testing/fulltests/default/T200*

bzip2 ChangeLog

%build
%serverbuild

MIBS="host agentx smux \
     ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
     ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
     ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
     ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
     ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable \
     sctp-mib rmon-mib etherlike-mib \
     ucd-snmp/lmsensorsMib"

autoreconf -fi

export CPPFLAGS="-DHAVE_ERR_GET_ERROR_ALL"

%configure \
    %{?_with_rpm} \
    --disable-static \
    --enable-shared \
    --enable-as-needed \
    --enable-blumenthal-aes \
    --enable-embedded-perl \
    --enable-ipv6 \
    --enable-local-smux \
    --enable-mfd-rewrites \
    --enable-ucd-snmp-compatibility \
    --disable-des \
    --sysconfdir=%{_sysconfdir} \
    --with-cflags="%{optflags} -fPIE" \
    --with-ldflags="%{ldflags} -lm" \
    --with-logfile="/var/log/snmpd.log" \
    --with-mib-modules="$MIBS" \
    --with-mysql \
    --with-openssl \
    --with-persistent-directory="/var/lib/net-snmp" \
    --with-perl-modules="INSTALLDIRS=vendor" \
    --with-pic \
    --with-security-modules=tsm  \
    --with-sys-location="Unknown" \
    --with-systemd \
    --with-temp-file-pattern=/run/net-snmp/snmp-tmp-XXXXXX \
    --with-transports="DTLSUDP TLSTCP" \
    --with-sys-contact="root@localhost" \
    --with-mnttab="/etc/mtab" \
    --with-default-snmp-version="3" \
    --without-kmem-usage <<EOF
EOF

%{__make}

# compile python module
pushd python
%py3_build -- --basedir=..
popd

%install
make install DESTDIR=%{buildroot} \
    ucdincludedir=%{_includedir}/net-snmp/ucd-snmp

# install python module
pushd python
%py3_install -- --basedir=..
popd

install -d %{buildroot}/var/lib/net-snmp
install -d %{buildroot}/var/agentx/master

install -d %{buildroot}%{_sysconfdir}/snmp
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_unitdir}

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/snmpd

install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/snmpd.service
install -m 644 dist/snmpd.socket %{buildroot}%{_unitdir}/snmpd.socket

install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/snmptrapd
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/sysconfig/snmptrapd
install -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/snmptrapd.service
install -m 644 dist/snmptrapd.socket %{buildroot}%{_unitdir}/snmptrapd.socket

install -D -m 644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/net-snmp.conf

install -m 0755 %{SOURCE11} %{buildroot}%{_bindir}/ucd5820stat

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
ln -s snmptrap %{buildroot}%{_bindir}/snmpinform

# install some extra stuff...
install -m 644 mibs/NET-SNMP-MONITOR-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/NET-SNMP-SYSTEM-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/TUNNEL-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-IPFILTER-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-SNMP-MIB-OLD.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/ianalist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfclist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfcmibs.diff %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/mibfetch %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/smistrip %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/Makefile.mib %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/snmp/mibs/NOTIFICATION-TEST-MIB.txt
install -m 644 %{SOURCE13} %{buildroot}%{_datadir}/snmp/mibs/TRAP-TEST-MIB.txt

# prepare /var/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/mib_indexes
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/cert_indexes

# drop unwanted stuff
rm -f %{buildroot}%{_libdir}/*.la

# nuke rpath
for i in $(find %{buildroot}%{perl_vendorarch} -name "*.so"); do
	chmod u+w $i
	chrpath -d $i
done

# remove executable bit from documentation samples
chmod 644 local/passtest local/ipf-mod.pl

%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-config
%multiarch_includes %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h
%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-create-v3-user

%post
%_post_service snmpd

%preun
%_preun_service snmpd

%post trapd
%_post_service snmptrapd

%preun trapd
%_preun_service snmptrapd

%files
%doc COPYING ChangeLog.bz2 EXAMPLE.conf FAQ NEWS TODO
%doc README README.agent-mibs README.agentx README.krb5 README.snmpv3
%doc local/passtest local/ipf-mod.pl
%doc README.thread AGENT.txt PORTING local/README.mib2c
%doc IETF-MIB-LICENSE.txt
%config(noreplace) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmpd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%dir %ghost %attr(0755, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/snmpd.pid
%{_tmpfilesdir}/net-snmp.conf
%{_unitdir}/snmpd.service
%{_unitdir}/snmpd.socket
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%{_mandir}/man5/snmpd.conf.5*
%{_mandir}/man5/snmp_config.5*
%{_mandir}/man5/snmp.conf.5*
%{_mandir}/man5/variables.5*
%{_mandir}/man5/snmpd.examples.5*
%{_mandir}/man5/snmpd.internal.5*
%{_mandir}/man8/snmpd.8*

%files trapd
%doc dist/schema-snmptrapd.sql README.sql
%config(noreplace) %{_sysconfdir}/snmp/snmptrapd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmptrapd
%ghost %attr(0660, -, -) %{_rundir}/%{name}/snmptrapd.pid
%{_unitdir}/snmptrapd.service
%{_unitdir}/snmptrapd.socket
%{_sbindir}/snmptrapd
%{_mandir}/man5/snmptrapd.conf.5*
%{_mandir}/man8/snmptrapd.8*

%files utils
%{_bindir}/agentxtrap
%{_bindir}/checkbandwidth
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/net-snmp-cert
%{_bindir}/net-snmp-create-v3-user
%multiarch %{multiarch_bindir}/net-snmp-create-v3-user
%{_bindir}/snmp-bridge-mib
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpping
%{_bindir}/snmpps
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptls
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/traptoemail
%{_datadir}/snmp/mib2c-data
%{_datadir}/snmp/snmpconf-data
%{_datadir}/snmp/snmp_perl.pl
%{_datadir}/snmp/snmp_perl_trapd.pl
%{_datadir}/snmp/*.conf
%{_mandir}/man1/agentxtrap.1*
%{_mandir}/man1/encode_keychange.1*
%{_mandir}/man1/fixproc.1*
%{_mandir}/man1/mib2c.1*
%{_mandir}/man1/mib2c-update.1*
%{_mandir}/man1/net-snmp-create-v3-user.1*
%{_mandir}/man1/snmp-bridge-mib.1*
%{_mandir}/man1/snmpbulkget.1*
%{_mandir}/man1/snmpbulkwalk.1*
%{_mandir}/man1/snmpcmd.1*
%{_mandir}/man1/snmpconf.1*
%{_mandir}/man1/snmpdelta.1*
%{_mandir}/man1/snmpdf.1*
%{_mandir}/man1/snmpget.1*
%{_mandir}/man1/snmpgetnext.1*
%{_mandir}/man1/snmpinform.1*
%{_mandir}/man1/snmpnetstat.1*
%{_mandir}/man1/snmpps.1*
%{_mandir}/man1/snmpset.1*
%{_mandir}/man1/snmpstatus.1*
%{_mandir}/man1/snmptable.1*
%{_mandir}/man1/snmptest.1*
%{_mandir}/man1/snmptop.1*
%{_mandir}/man1/snmptranslate.1*
%{_mandir}/man1/snmptrap.1*
%{_mandir}/man1/snmpusm.1*
%{_mandir}/man1/snmpvacm.1*
%{_mandir}/man1/snmpwalk.1*
%{_mandir}/man1/traptoemail.1*
%{_mandir}/man5/mib2c.conf.5*

%files mibs
%doc mibs/README.mibs
%{_datadir}/snmp/mibs
%dir %{_localstatedir}/lib/net-snmp
%dir %{_localstatedir}/lib/net-snmp/mib_indexes
%dir %{_localstatedir}/lib/net-snmp/cert_indexes

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog.bz2
%multiarch %{multiarch_bindir}/net-snmp-config
%dir %{multiarch_includedir}/net-snmp
%multiarch %{multiarch_includedir}/net-snmp/net-snmp-config.h
%{_bindir}/net-snmp-config
%{_libdir}/*.so
%{_includedir}/net-snmp
%{_mandir}/man3/*
%dir /var/lib/net-snmp
%dir /var/agentx/master
%{_mandir}/man1/net-snmp-config.1*
%{_libdir}/pkgconfig/netsnmp-agent.pc
%{_libdir}/pkgconfig/netsnmp.pc

%files -n perl-NetSNMP
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
%{perl_vendorarch}/Bundle/MakefileSubs.pm

%{_mandir}/man3/NetSNMP*
%{_mandir}/man3/SNMP.3*

%files -n python3-netsnmp
%{python3_sitearch}/netsnmp
%{python3_sitearch}/netsnmp_python*-py*.egg-info

%files tkmib
%{_bindir}/tkmib
%{_mandir}/man1/tkmib.1*


%changelog
* Fri Aug 23 2024 tv <tv> 5.9.4-5.mga10
+ Revision: 2089686
- Rebuild for perl-5.40
+ mokraemer <mokraemer>
- switching patches to autopatch

* Thu Jul 25 2024 daviddavid <daviddavid> 5.9.4-4.mga10
+ Revision: 2082572
- backport upstream patch to add Linux 6.7 compatibility parsing /proc/net/snmp (mga#33423)

* Fri Dec 29 2023 daviddavid <daviddavid> 5.9.4-3.mga10
+ Revision: 2023643
- rebuild for py3.12

* Sat Dec 02 2023 tv <tv> 5.9.4-2.mga10
+ Revision: 2012645
- Rebuild for perl-5.38

* Sun Oct 29 2023 daviddavid <daviddavid> 5.9.4-1.mga10
+ Revision: 2002657
- new version: 5.9.4

* Tue Jan 10 2023 ns80 <ns80> 5.9.3-2.mga9
+ Revision: 1932122
- add patches from Ubuntu for CVE-2022-4479[23] (mga#31388)

* Mon Aug 22 2022 ns80 <ns80> 5.9.3-1.mga9
+ Revision: 1879373
- new version 5.9.3 for CVE-2022-2480[5-9] and CVE-2022-24810 (mga#30697)

* Tue Jun 07 2022 umeabot <umeabot> 5.9.1-6.mga9
+ Revision: 1863340
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36

* Sat Apr 02 2022 umeabot <umeabot> 5.9.1-4.mga9
+ Revision: 1841195
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 5.9.1-3.mga9
+ Revision: 1774946
- rebuild for python 3.10

* Sat Oct 02 2021 wally <wally> 5.9.1-2.mga9
+ Revision: 1747811
- rebuild for openssl 3.0.0

* Fri Aug 06 2021 luigiwalser <luigiwalser> 5.9.1-1.mga9
+ Revision: 1739829
- 5.9.1
- resync patches with fedora

* Mon May 24 2021 tmb <tmb> 5.9-3.mga9
+ Revision: 1726333
- rebuild for rebuild for perl-5.34.0

* Sun Mar 28 2021 daviddavid <daviddavid> 5.9-2.mga9
+ Revision: 1711442
- rebuild for python 3.9

* Sun Nov 01 2020 guillomovitch <guillomovitch> 5.9-1.mga8
+ Revision: 1641137
- new version 5.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 5.8-13.mga8
+ Revision: 1626614
- built without kmem usage, as our kernel doesn't provide it (mga #25747)

* Wed Sep 02 2020 ns80 <ns80> 5.8-12.mga8
+ Revision: 1620903
- add Ubuntu patches for CVE-2020-1586[12] (mga#27034)

* Sat Aug 22 2020 guillomovitch <guillomovitch> 5.8-11.mga8
+ Revision: 1617926
- sync patch set and build options with Fedora
- drop tcp_wrapper support

* Thu Jun 18 2020 umeabot <umeabot> 5.8-10.mga8
+ Revision: 1595824
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 5.8-9.mga8
+ Revision: 1539657
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 12 2019 daviddavid <daviddavid> 5.8-8.mga8
+ Revision: 1465964
- use -DNO_KMEM_USAGE compile flags as proposed by upstream (mga#25747)
  * https://sourceforge.net/p/net-snmp/mailman/message/16165557/

* Tue Nov 26 2019 daviddavid <daviddavid> 5.8-7.mga8
+ Revision: 1462893
- do not include any code related to the use of kmem (mga#25747)
- make sure pid files and /run/net-snmp folder are removed when uninstalled

* Thu Sep 12 2019 wally <wally> 5.8-6.mga8
+ Revision: 1440054
- rebuild for python3.8

* Tue Aug 27 2019 tmb <tmb> 5.8-5.mga8
+ Revision: 1433859
- rebuild for perl 5.30
+ tv <tv>
- rebuild with perl-5.30

* Thu Jul 04 2019 guillomovitch <guillomovitch> 5.8-3.mga8
+ Revision: 1418596
- sync patches with Fedora
- switch to python 3 for bindings
- pass -r option to snmpd, as /dev/kmem doesn't exist anymore with standard mageia kernel (#25017)

* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.8-2.mga7
+ Revision: 1346550
- rebuild for lm_sensors

* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.8-1.mga7
+ Revision: 1345949
- 5.8
- library major is now 35
- sync patches with fedora

* Sun Sep 23 2018 umeabot <umeabot> 5.7.3-13.mga7
+ Revision: 1299717
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 5.7.3-12.mga7
+ Revision: 1247664
- rebuild for perl 5.28

* Sun Jun 03 2018 wally <wally> 5.7.3-11.mga7
+ Revision: 1234056
- fix build on aarch64

* Fri Mar 16 2018 mokraemer <mokraemer> 5.7.3-10.mga7
+ Revision: 1209789
- applying patch from 6/CVE-2018-1000116

* Fri Dec 22 2017 mokraemer <mokraemer> 5.7.3-9.mga7
+ Revision: 1183876
+ rebuild (emptylog)

* Fri Sep 29 2017 guillomovitch <guillomovitch> 5.7.3-8.mga7
+ Revision: 1161585
- fix build
- sync patches with Fedora
- add rpm support, using rpm 4.4 api
+ tv <tv>
- rebuild with perl-5.26 with new ABI

* Thu Aug 03 2017 guillomovitch <guillomovitch> 5.7.3-6.mga7
+ Revision: 1134379
- rebuild for latest openssl

* Sat Jul 22 2017 wally <wally> 5.7.3-5.mga7
+ Revision: 1128015
- add Fedora patches to fix build with new perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Thu Sep 22 2016 daviddavid <daviddavid> 5.7.3-4.mga6
+ Revision: 1055154
- rebuild for ARM

* Sat Jun 18 2016 pterjan <pterjan> 5.7.3-3.mga6
+ Revision: 1022164
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 daviddavid <daviddavid> 5.7.3-2.mga6
+ Revision: 1007305
- use new python macros

* Sat Dec 26 2015 luigiwalser <luigiwalser> 5.7.3-1.mga6
+ Revision: 915209
- 5.7.3
- resync fedora patches
- remove upstreamed security patches
- rediff patch 53 (CVE-2015-5621)
- add -Wformat to cflags (rhbz#1242766)

* Sat Sep 19 2015 blino <blino> 5.7.2-26.mga6
+ Revision: 881218
- fix use of obsolete py_ver macro, use py2_ver
- fix net-snmp-config.h listed twice in file list and properly own include directories

* Fri Jun 26 2015 tv <tv> 5.7.2-25.mga6
+ Revision: 844614
- rebuild for perl-5.22

* Tue Jun 23 2015 sander85 <sander85> 5.7.2-24.mga6
+ Revision: 840715
- Rebuild for perl 5.22

* Thu Apr 30 2015 luigiwalser <luigiwalser> 5.7.2-23.mga5
+ Revision: 820865
- rediff upstream patch to fix DoS issue (rhbz#1212408, mga#15712)

* Wed Oct 15 2014 umeabot <umeabot> 5.7.2-22.mga5
+ Revision: 749702
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.7.2-21.mga5
+ Revision: 727475
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.7.2-20.mga5
+ Revision: 682836
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Sep 01 2014 luigiwalser <luigiwalser> 5.7.2-19.mga5
+ Revision: 670690
- add upstream patch to fix CVE-2014-3565

* Fri Jul 18 2014 luigiwalser <luigiwalser> 5.7.2-18.mga5
+ Revision: 653650
- add patch to fix linking when building without systemd support (mga#13761)
- fix bad perl subsititution command in prep section (mga#13761)

* Tue Jun 03 2014 pterjan <pterjan> 5.7.2-17.mga5
+ Revision: 630734
- Rebuild for perl 5.20
- Rebuild for new Python

* Wed Mar 05 2014 luigiwalser <luigiwalser> 5.7.2-15.mga5
+ Revision: 600174
- add upstream patch to fix snmptrapd crash (CVE-2014-2285)
- add upstream DoS fix (fix ICMP mib table handling on linux) from 5.7.2.1 (CVE-2014-2284)

* Tue Feb 04 2014 tv <tv> 5.7.2-14.mga5
+ Revision: 581926
- rebuild for new perl

* Tue Jan 07 2014 luigiwalser <luigiwalser> 5.7.2-13.mga4
+ Revision: 565483
- add patches from fedora to fix:
  - CVE-2012-6151 snmpd crash when AgentX subagent disconnects (rhbz#1038011)
  - net-snmp-python IPADDRESS size on 64-bit systems (rhbz#895357)
  - btrfs support for hrFSTable (rhbz#965348)

* Sat Nov 02 2013 wally <wally> 5.7.2-12.mga4
+ Revision: 549077
- add patch to fix linking
- fix chrpath usage in .spec
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 23 2013 dlucio <dlucio> 5.7.2-9.mga4
+ Revision: 470356
- python br
- bump release

* Wed May 29 2013 tv <tv> 5.7.2-8.mga4
+ Revision: 430249
- rebuild for new perl

* Mon Mar 18 2013 dlucio <dlucio> 5.7.2-7.mga3
+ Revision: 403919
- rebuild for new perl

* Sat Jan 26 2013 colin <colin> 5.7.2-6.mga3
+ Revision: 392496
- Install systemd sockets as well as services.
- Add patch from Fedora to allow the systemd units already present to work with Type=notify
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 guillomovitch <guillomovitch> 5.7.2-4.mga3
+ Revision: 335364
- restore sysconfig files
- honour them from systemd unit files

* Wed Dec 26 2012 nanardon <nanardon> 5.7.2-3.mga3
+ Revision: 335348
- remove sysconfig/ files not use anymore
- reduce snmpd verbosity in log

* Wed Nov 28 2012 dlucio <dlucio> 5.7.2-2.mga3
+ Revision: 322720
- rebuild

* Mon Oct 22 2012 oden <oden> 5.7.2-1.mga3
+ Revision: 309147
- 5.7.2
- remove redundant patches and sync with fedora
+ guillomovitch <guillomovitch>
- use %%{_prefix}/lib/tmpfiles.d instead of %%{_sysconfdir}/tmpfiles.d

* Tue Aug 14 2012 guillomovitch <guillomovitch> 5.7.1-6.mga3
+ Revision: 281286
- drop excessive dependecies from perl and python bindings (#7010)

* Mon Jun 25 2012 guillomovitch <guillomovitch> 5.7.1-5.mga3
+ Revision: 263483
- drop sysinit support
- sync default configuration files with fedora (#6550)
- sync fedora patches set

* Thu Jun 21 2012 luigiwalser <luigiwalser> 5.7.1-4.mga3
+ Revision: 262486
- add patch to fix CVE-2012-2141 (from upstream via mdv)

* Sat Apr 28 2012 tmb <tmb> 5.7.1-3.mga3
+ Revision: 233812
- Require rpm-helper >= 0.24.8-1 for systemd support
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Oct 31 2011 guillomovitch <guillomovitch> 5.7.1-1.mga2
+ Revision: 160565
- new version
- systemd support
- sync fedora patches
- add upstream patch to silent spurious error messages
- oops, too much cleanup in previous commit
- new version
- spec cleanup
- enable python bindings

* Fri Jul 01 2011 ahmad <ahmad> 5.6.1-9.mga2
+ Revision: 117063
- Rebuild for perl-5.14.1

* Sun Jun 12 2011 sander85 <sander85> 5.6.1-8.mga2
+ Revision: 104870
- Rebuild for perl 5.14

* Sun May 15 2011 pterjan <pterjan> 5.6.1-7.mga1
+ Revision: 99023
- Rebuild for fixed find-requires

* Sat Apr 30 2011 rtp <rtp> 5.6.1-6.mga1
+ Revision: 93660
- BuildRequires on lm_sensors-devel or arm/mips too

* Thu Mar 24 2011 dmorgan <dmorgan> 5.6.1-5.mga1
+ Revision: 77111
- Rebuild against new mysql

* Mon Feb 21 2011 spuhler <spuhler> 5.6.1-4.mga1
+ Revision: 55158
- Increased rel for rebuild against perl-5.12
  Removed %%define Werror_cflags %%{nil}
- Increased rel for rebuild against perl-5.12

* Wed Jan 19 2011 jquelin <jquelin> 5.6.1-3.mga1
+ Revision: 23780
- rebuild

* Fri Jan 14 2011 dmorgan <dmorgan> 5.6.1-2.mga1
+ Revision: 17426
- Get rid of mdv macros
- imported package net-snmp

